Support » Plugin: Frontend Post WordPress Plugin - AccessPress Anonymous Post » Category list first item in the list not being accepted

  • Resolved mahsaad

    (@mahsaad)


    Hi,

    First I would like to say this is a great plugin, thanks.

    I’m showing the category in the form as a required field.

    If I try to submit a post in the first category in the list that is already selected, after clicking submit, it shows the error for the category that it’s required and the form doesn’t get submitted unless i choose another category from the list.

    In a way the user has to click and choose a category from the list, but that works for the remaining items in the list. But if I click and choose the first item, it doesn’t work either.

    Thank you,

    https://wordpress.org/plugins/accesspress-anonymous-post/

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Access Keys

    (@access-keys)

    Hello there,

    Can you please send us the URL of the page where you have used our form so that we can check the issue you are describing?

    Thanks.

    Hi,

    Thanks for getting back to me.

    You can view the form on the following link:

    http://itmediaplus.com/tmp/recipes/submit-recipe/

    If you fill the entire form, and DO NOT CHANGE THE SELECTED VALUE IN THE CATEGORY LIST, just leave the selected one by default and then try to submit the form, it shows the error message that the category field is required.

    even if you select another category, and then reselect the first one, same issue.

    In a way it’s considering the first item in the list as “Please select”

    Note: I’m using the latest version of your plugin and wordpress and i haven’t modified any code in the plugin files, I’m using it as is.

    Regards,

    Hello there,

    Any news regarding this?

    Thanks

    Hi there,

    After some digging in the plugin files, the issue is in the following file:

    plugin_folder/js/frontend.js

    The function that does the validation for the form, specially for the category select element has this condition:

    if ($(this).hasClass('ap-required-field') && $(this).val() == '1')

    if it has the required class and the value = 1, this shows the error message and prevent the form from being submitted

    Since the first item in the select has the value 1, it will always be an issue

    The easy fix in this file is to change the condition and check if the value = 0

    if ($(this).hasClass('ap-required-field') && $(this).val() == '0')

    The proper fix would be in the settings of the plugin, if the category is set to required, to add “Please select” option in the list and set the value to 1 this will keep the current condition in the js file, valid.

    And if it’s not required, to opt out this option from the list, the first category in the list will have the value = 1 but it will work since it’s not a required field any more, therefor the condition remains valid, the post will be submitted in the selected category by default

    Hope to apply the fix in the next release

    Regards,

    I believe this the fix:

    in the js file, the condition should validate if the value is 0

    if ($(this).hasClass('ap-required-field') && $(this).val() == '0')

    And in the following file: plugin_folder/inc/cores/front-form.php

    this should be added where the select is getting populated.

    right before the foreach add the following code:

    if(in_array( 'category', $form_required_fields )){
    	$form .='<option value="0">Please select</option>';
    }

    This should do it

    Regards,

    Plugin Author Access Keys

    (@access-keys)

    Hello there,

    Thank you for notifying us and we have removed the require check for the category dropdown in our today’s update.

    So please update your copy and if you really liked our plugin and found our plugin useful to you then please don’t forget to give us a rating.

    Thanks.

    Hi,

    Thanks for the reply and the update.

    Before I update the plugin, just to make sure I understand the fix.

    Did you remove the option to set the category as required in the plugin settings?

    Regards,

    Plugin Author Access Keys

    (@access-keys)

    Hello there,

    As since there will be atleast a category so keeping required is not necessary for the category field so we have removed the required parameter for category.

    Thanks.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Category list first item in the list not being accepted’ is closed to new replies.